dbXML API

## com.dbxml.db.core.query.plan.logical
Class ValueSet

    java.lang.Object
      com.dbxml.db.core.query.plan.QueryNode
          com.dbxml.db.core.query.plan.logical.LogicalQueryNode
              com.dbxml.db.core.query.plan.logical.Value
                  com.dbxml.db.core.query.plan.logical.ValueSet

public final class ValueSet
extends Value

ValueSet

Constructor Summary
`ValueSet()`
`ValueSet(Value[] values)`

Method Summary
`void` `addValue(Value value)`
`boolean` `contains(Value value)`
`boolean` `equals(java.lang.Object obj)`
`Value` `getValue(int index)`
`Value[]` `getValues()`
`java.util.Iterator` `iterator()`

Methods inherited from class com.dbxml.db.core.query.plan.logical.Value
`newBooleanValue, newDateValue, newFloatValue, newFloatValue, newIntValue, newIntValue, newIntValue, newIntValue, newIntValue, newStringValue, newStringValue, newValueSet, newValueSet`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueSet

    public ValueSet()

### ValueSet

    public ValueSet(Value[] values)

Method Detail

### addValue

    public void addValue(Value value)

### contains

    public boolean contains(Value value)

### getValue

    public Value getValue(int index)

### getValues

    public Value[] getValues()

### iterator

    public java.util.Iterator iterator()

### equals

    public boolean equals(java.lang.Object obj)

dbXML API

Copyright (c) 2004 The dbXML Group